Bug 726722

Summary: Error message states 'automountlocationcn' while add/mod/del automountmap or automountkey with empty location.
Product: Red Hat Enterprise Linux 6 Reporter: Gowrishankar Rajaiyan <grajaiya>
Component: ipaAssignee: Rob Crittenden <rcritten>
Status: CLOSED ERRATA QA Contact: Chandrasekar Kannan <ckannan>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 6.2CC: benl, dpal, jgalipea, mkosek, syeghiay
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ipa-2.1.1-1.el6 Doc Type: Bug Fix
Doc Text:
Cause: Passing an empty location to automountmap and automountkey commands will result in an error complaining about 'automountlocationcn'. Consequence: The origin and identity of this value is not immediately clear. Fix: IPA tries to hide the LDAP implementation so often provides a different value for options and errors than is actually used. It may also use contrived internal names for uniqueness. It now tries harder to return the right value depending on the context so a more useful error message is returned. Fix: The right value, 'automountlocation', is now returned.
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-06 18:25:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Gowrishankar Rajaiyan 2011-07-29 15:35:35 UTC
Description of problem:
As part of negative testing when I add/delete/mod/show/find a map/key with empty automountlocation I see the error message as 'automountlocationcn'.

Version-Release number of selected component (if applicable):
ipa-server-2.0.99-5.20110728T0521zgit1b09ca5.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
[root@bumblebee auto]# ipa automountmap-add
Location: 
ipa: ERROR: 'automountlocationcn' is required
[root@bumblebee auto]# ipa automountkey-add
Location: 
ipa: ERROR: 'automountlocationcn' is required
[root@bumblebee auto]# ipa automountmap-del
Location: 
ipa: ERROR: 'automountlocationcn' is required
[root@bumblebee auto]# ipa automountkey-del
Location: 
ipa: ERROR: 'automountlocationcn' is required

  
Actual results:
Error message states 'automountlocationcn'.

Expected results:
Should be 'automountlocation'.

Additional info:

Comment 1 Rob Crittenden 2011-07-29 19:58:34 UTC
https://fedorahosted.org/freeipa/ticket/1550

Comment 2 Rob Crittenden 2011-08-17 21:10:49 UTC
Fixed upstream

master: dca6cf1666f103d94cba2e54cdfe9cac998e98ad

ipa-2-1: 821fa37cb2079606995d36b3b195df9096d4cb8a

Comment 6 Gowrishankar Rajaiyan 2011-10-08 13:33:19 UTC
[root@bumblebee ~]# ipa automountmap-add
Location: 
ipa: ERROR: 'automountlocation' is required
[root@bumblebee ~]# ipa automountkey-add
Location: 
ipa: ERROR: 'automountlocation' is required
[root@bumblebee ~]# ipa automountmap-del
Location: 
ipa: ERROR: 'automountlocation' is required
[root@bumblebee ~]# ipa automountkey-del
Location: 
ipa: ERROR: 'automountlocation' is required
[root@bumblebee ~]# 


[root@bumblebee ~]# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.2                             Vendor: Red Hat, Inc.
Release     : 2.el6                         Build Date: Fri 07 Oct 2011 05:09:04 PM EDT
Install Date: Sat 08 Oct 2011 07:36:33 AM EDT      Build Host: x86-001.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.2-2.el6.src.rpm
Size        : 3363225                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 7 Rob Crittenden 2011-11-01 00:52:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Passing an empty location to automountmap and automountkey commands will result in an error complaining about 'automountlocationcn'.
Consequence: The origin and identity of this value is not immediately clear.
Fix: IPA tries to hide the LDAP implementation so often provides a different value for options and errors than is actually used. It may also use contrived internal names for uniqueness. It now tries harder to return the right value depending on the context so a more useful error message is returned.
Fix: The right value, 'automountlocation', is now returned.

Comment 8 errata-xmlrpc 2011-12-06 18:25:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html